#if !defined(AFX_VIEWPAGE_H__C7D7A03F_6F2E_448F_A23D_8ED3E1438B95__INCLUDED_)
#define AFX_VIEWPAGE_H__C7D7A03F_6F2E_448F_A23D_8ED3E1438B95__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ViewPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CViewPage dialog

class CViewPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CViewPage)

// Construction
public:
	CViewPage();
	~CViewPage();

// Dialog Data
	//{{AFX_DATA(CViewPage)
	enum { IDD = IDD_VIEWPAGE };
	CComboBox	m_DisplayCombo;
	BOOL	m_HiddenWireframe;
	BOOL	m_UseOpenGL;
	BOOL	m_UseWhiteBase;
	BOOL	m_OglReplace;
	BOOL	m_DisplayTextures;
	BOOL	m_CullBackFaces;
	BOOL	m_TwoSidedLighting;
	CString	m_CameraStepAngle;
	CString	m_CameraStepPan;
	CString	m_CameraXAngle;
	CString	m_CameraXPan;
	CString	m_CameraYAngle;
	CString	m_CameraZAngle;
	CString	m_CameraZPan;
	CString	m_TriQuadNormalAngle;
	CString	m_TriQuadEdgeAngle;
	BOOL	m_DefaultTexture;
	BOOL	m_UseFilmstrip;
	BOOL	m_FilmstripTimer;
	CString	m_CameraXViewPoint;
	CString	m_CameraYViewPoint;
	CString	m_CameraZViewPoint;
	CString	m_CameraRotateSpeed;
	CString	m_CameraInitialDistance;
	CString	m_CameraDistance;
	CString	m_CameraZoomSpeed;
	CString	m_CameraFieldOfView;
	CString	m_CameraStepFOV;
	CString	m_StageGridSpacing;
	CString	m_StageWidth;
	CString	m_StageDepth;
	CString	m_StageOriginX;
	CString	m_StageOriginY;
	BOOL	m_StageUseOrigin;
	BOOL	m_StageUseSquares;
	BOOL	m_StageUseTexture;
	BOOL	m_DisplayStage;
	BOOL	m_ReverseZoomDirection;
	BOOL	m_ReversePanDirection;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CViewPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CViewPage)
	afx_msg void OnShowwindow();
	virtual BOOL OnInitDialog();
	afx_msg void OnHidewindow();
	afx_msg void OnSizewindow1();
	afx_msg void OnSizewindow2();
	afx_msg void OnMovewindow1();
	afx_msg void OnMovewindow2();
	afx_msg void OnOntopyes();
	afx_msg void OnOntopno();
	afx_msg void OnUsewires();
	afx_msg void OnUsebbox();
	afx_msg void OnParallel();
	afx_msg void OnPerspective();
	afx_msg void OnXyzon();
	afx_msg void OnXyzoff();
	afx_msg void OnMakequads();
	afx_msg void OnDeletequads();
	afx_msg void OnShowquads();
	afx_msg void OnHidequads();
	afx_msg void OnDepthbufferon();
	afx_msg void OnDepthbufferoff();
	afx_msg void OnFront();
	afx_msg void OnBack();
	afx_msg void OnRight();
	afx_msg void OnLeft();
	afx_msg void OnTop();
	afx_msg void OnBottom();
	afx_msg void OnSolid();
	afx_msg void OnShaded();
	afx_msg void OnWireframe();
	afx_msg void OnCenterx();
	afx_msg void OnCenterz();
	afx_msg void OnZoomin();
	afx_msg void OnZoomout();
	afx_msg void OnZoomreset();
	afx_msg void OnHiddenwireframe();
	afx_msg void OnUseopengl();
	afx_msg void OnOgllightsmaterials();
	afx_msg void OnParentwindow();
	afx_msg void OnUnparentwindow();
	afx_msg void OnDisplaytextures();
	afx_msg void OnOglreplace();
	afx_msg void OnUsewhitebase();
	afx_msg void OnMakesmooth1();
	afx_msg void OnMakesmooth2();
	afx_msg void OnErasesmooth1();
	afx_msg void OnErasesmooth2();
	afx_msg void OnTwosidedlighting();
	afx_msg void OnCullbackfaces();
	afx_msg void OnSelchangeDisplaycombo();
	afx_msg void OnGetcameraangles();
	afx_msg void OnSetcameraangles();
	afx_msg void OnSetcameraxangle1();
	afx_msg void OnSetcameraxangle2();
	afx_msg void OnSetcamerayangle1();
	afx_msg void OnSetcamerayangle2();
	afx_msg void OnSetcamerazangle1();
	afx_msg void OnSetcamerazangle2();
	afx_msg void OnGetcamerapan();
	afx_msg void OnSetcamerapan();
	afx_msg void OnSetcameraxpan1();
	afx_msg void OnSetcameraxpan2();
	afx_msg void OnSetcamerazpan1();
	afx_msg void OnSetcamerazpan2();
	afx_msg void OnDefaulttexture();
	afx_msg void OnUsefilmstrip();
	afx_msg void OnFilmstriptimer();
	afx_msg void OnGetcameraviewpoint();
	afx_msg void OnSetcameraviewpoint();
	afx_msg void OnSetcamerarotatespeed1();
	afx_msg void OnSetcamerarotatespeed2();
	afx_msg void OnGetcamerainitialdistance();
	afx_msg void OnSetcamerainitialdistance();
	afx_msg void OnGetcameradistance();
	afx_msg void OnSetcameradistance();
	afx_msg void OnGetcamerazoomspeed();
	afx_msg void OnSetcamerazoomspeed1();
	afx_msg void OnSetcamerazoomspeed2();
	afx_msg void OnSetcamerazoomspeed3();
	afx_msg void OnSetcamerazoomspeed4();
	afx_msg void OnSetcamerazoomspeed5();
	afx_msg void OnSetcamerazoomspeed6();
	afx_msg void OnGetcamerafieldofview();
	afx_msg void OnSetcamerafieldofview();
	afx_msg void OnSetcamerafov1();
	afx_msg void OnSetcamerafov2();	
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDisplaystage();
	afx_msg void OnStageuseorigin();
	afx_msg void OnStageusesquares();
	afx_msg void OnStageusetexture();
	afx_msg void OnGetstageimage();
	afx_msg void OnChangestage();
	afx_msg void OnReversezoomdirection();
	afx_msg void OnReversepandirection();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	CBitmapButton FrontButton;
	CBitmapButton BackButton;
	CBitmapButton RightButton;
	CBitmapButton LeftButton;
	CBitmapButton TopButton;
	CBitmapButton BottomButton;
	CBitmapButton SolidButton;
	CBitmapButton ShadedButton;
	CBitmapButton WireframeButton;
	CBitmapButton CenterXButton;
	CBitmapButton CenterZButton;
	CBitmapButton ZoomInButton;
	CBitmapButton ZoomOutButton;
	CBitmapButton ZoomResetButton;

	void GetCameraStepAngle(void);
	void GetCameraStepPan(void);
	void GetCameraRotateSpeed(void);
	void GetCameraStepFOV(void);
public:
  afx_msg void OnBnClickedInvertalllayertransparencies();
  afx_msg void OnBnClickedMakealllayersopaque();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VIEWPAGE_H__C7D7A03F_6F2E_448F_A23D_8ED3E1438B95__INCLUDED_)
